Loading...
Searching...
No Matches
pcl::io::IOException Class Reference

General IO exception class. More...

`#include <pcl/io/io_exception.h>`

Inheritance diagram for pcl::io::IOException:

## Public Member Functions

| IOException (const std::string &function_name, const std::string &file_name, unsigned line_number, const std::string &message)
| ~IOException () noexcept override
IOException & | operator= (const IOException &exception)
const char * | what () const noexcept override
const std::string & | getFunctionName () const
const std::string & | getFileName () const
unsigned | getLineNumber () const

## Protected Attributes

std::string | function_name_
std::string | file_name_
unsigned | line_number_
std::string | message_
std::string | message_long_

## Detailed Description

General IO exception class.

Definition at line 62 of file io_exception.h.

## Constructor & Destructor Documentation

## IOException()

pcl::io::IOException::IOException | ( | const std::string & | function_name,
|  | const std::string & | file_name,
|  | unsigned | line_number,
|  | const std::string & | message )

Referenced by operator=(), pcl::io::throwIOException(), and ~IOException().

## ~IOException()

pcl::io::IOException::~IOException | ( |  | ) |

override noexcept

References IOException().

## Member Function Documentation

## getFileName()

const std::string & pcl::io::IOException::getFileName | ( |  | ) | const

References getFileName().

Referenced by getFileName().

## getFunctionName()

const std::string & pcl::io::IOException::getFunctionName | ( |  | ) | const

References getFunctionName().

Referenced by getFunctionName().

## getLineNumber()

unsigned pcl::io::IOException::getLineNumber | ( |  | ) | const

References getLineNumber().

Referenced by getLineNumber().

## operator=()

IOException & pcl::io::IOException::operator= | ( | const IOException & | exception | ) |

References IOException().

## what()

const char * pcl::io::IOException::what | ( |  | ) | const

override noexcept

References what().

Referenced by what().

## Member Data Documentation

## file_name_

std::string pcl::io::IOException::file_name_

protected

Definition at line 89 of file io_exception.h.

## function_name_

std::string pcl::io::IOException::function_name_

protected

Definition at line 88 of file io_exception.h.

## line_number_

unsigned pcl::io::IOException::line_number_

protected

Definition at line 90 of file io_exception.h.

## message_

std::string pcl::io::IOException::message_

protected

Definition at line 91 of file io_exception.h.

## message_long_

std::string pcl::io::IOException::message_long_

protected

Definition at line 92 of file io_exception.h.

The documentation for this class was generated from the following file:

- pcl/io/io_exception.h